Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.internal.swt.util
Class OverlayImageDescriptor

    java.lang.Object
      org.eclipse.jface.resource.DeviceResourceDescriptor
          org.eclipse.jface.resource.ImageDescriptor
              org.eclipse.jface.resource.CompositeImageDescriptor
                  org.eclipse.emf.ecp.edit.internal.swt.util.OverlayImageDescriptor

    public class OverlayImageDescriptor

extends org.eclipse.jface.resource.CompositeImageDescriptor

Allows one image descriptor to be overlayed on another image descriptor to generate a new image. Commonly used to decorate an image with a second image decoration.

Author:
  Shterev

Field Summary
`static int` | `LOWER_LEFT` display the overlay image in the lower left corner.
`static int` | `LOWER_RIGHT` display the overlay image in the lower right corner.
`static int` | `UPPER_LEFT` display the overlay image in the upper left corner.
`static int` | `UPPER_RIGHT` display the overlay image in the upper right corner.

Constructor Summary
`OverlayImageDescriptor(org.eclipse.swt.graphics.ImageData backgroundData, org.eclipse.jface.resource.ImageDescriptor overlayDesc, int overlayPos)` OverlayImageDescriptor constructor.
`OverlayImageDescriptor(org.eclipse.swt.graphics.Image srcImage, org.eclipse.jface.resource.ImageDescriptor overlayDesc, int overlayPos)` OverlayImageDescriptor constructor.

Method Summary

Methods inherited from class org.eclipse.jface.resource.CompositeImageDescriptor
`getImageData`

Methods inherited from class org.eclipse.jface.resource.ImageDescriptor
`createFromFile, createFromImage, createFromImage, createFromImageData, createFromURL, createImage, createImage, createImage, createImage, createResource, createWithFlags, destroyResource, getMissingImageDescriptor`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UPPER_LEFT

    public static final int UPPER_LEFT

  display the overlay image in the upper left corner.

  See Also:
    Constant Field Values

### UPPER_RIGHT

    public static final int UPPER_RIGHT

  display the overlay image in the upper right corner.

  See Also:
    Constant Field Values

### LOWER_RIGHT

    public static final int LOWER_RIGHT

  display the overlay image in the lower right corner.

  See Also:
    Constant Field Values

### LOWER_LEFT

    public static final int LOWER_LEFT

  display the overlay image in the lower left corner.

  See Also:
    Constant Field Values

Constructor Detail

### OverlayImageDescriptor

    public OverlayImageDescriptor(org.eclipse.swt.graphics.Image srcImage,
                                  org.eclipse.jface.resource.ImageDescriptor overlayDesc,
                                  int overlayPos)

  OverlayImageDescriptor constructor.

  Parameters:
    `srcImage` - the base image
    `overlayDesc` - the overlay image
    `overlayPos` - the overlay position

### OverlayImageDescriptor

    public OverlayImageDescriptor(org.eclipse.swt.graphics.ImageData backgroundData,
                                  org.eclipse.jface.resource.ImageDescriptor overlayDesc,
                                  int overlayPos)

  OverlayImageDescriptor constructor.

  Parameters:
    `backgroundData` - the base ImageData
    `overlayDesc` - the overlay image
    `overlayPos` - the overlay position

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.